package cc;
extern class SpriteFrame extends cc.Class{
    public function new() ;

    public function copyWithZone():SpriteFrame;

    public function getOffset():Point;
    public function getOffsetInPixels():Point;
    public function getOriginalSize():Size;
    public function getOriginalSizeInPixels():Size;
    public function getRect():Rect;
    public function getRectInPixels():Rect;
    public function getTexture():Dynamic;
    public function initWithTexture(texture:Dynamic, rect:Rect, rotated:Bool, offset:Point, originalSize:Size):Bool;
    public function initWithTextureFilename(filename:String, rect:Rect, rotated:Bool, offset:Point, originalSize:Size):Bool;
    public function isRotated():Bool;
    public function setOffset(offsets:Point):Void;
    public function setOffsetInPixels(offsetInPixels:Point):Void;
    public function setOriginalSize(sizeInPixels:Size):Void;
    public function setOriginalSizeInPixels(sizeInPixels:Size):Void;
    public function setRect(rect:Rect):Void;
    public function setRectInPixels(rectInPixels:Rect):Void;
    public function setRotated(bRotated:Bool):Void;
    public function setTexture(texture:Dynamic):Void;
    public static function createWithTexture(texture:Dynamic, rect:Rect, rotated:Bool, offset:Point, originalSize:Size):SpriteFrame;
    public static function create(filename:String, rect:Rect, rotated:Bool, offset:Point, originalSize:Size):SpriteFrame;
}
