package cc;
extern class TextureAtlas extends cc.Class{
    public function new() ;

    public function description():String;
    public function drawNumberOfQuads(n:Int, start:Int):Void;
    public function drawQuads():Void;
    public function fillWithEmptyQuadsFromIndex(index:Int, amount:Int):Void;
    public function getCapacity():Int;
    public function getQuads():Array<Dynamic>;
    public function getTexture():Dynamic;
    public function getTotalQuads():Int;
    public function increaseTotalQuadsWith(amount:Int):Void;
    public function initWithFile(file:String, capacity:Int):Bool;
    public function initWithTexture(texture:Dynamic, capacity:Int):Bool;
    public function insertQuad(quad:V2F_C4B_T2F_Quad, index:Int):Void;
    public function insertQuadFromIndex(fromIndex:Int, newIndex:Int):Void;
    public function insertQuads(quads:Array<Dynamic>, index:Int, amount:Int):Void;
    public function moveQuadsFromIndex(oldIndex:Int, amount:Int, newIndex:Int):Void;
    public function removeAllQuads():Void;
    public function removeQuadAtIndex(index:Int):Void;
    public function resizeCapacity(newCapacity:Int):Bool;
    public function setQuads(quads:Array<Dynamic>):Void;
    public function setTexture(texture:Dynamic):Void;
    public function updateQuad(quad:V2F_C4B_T2F_Quad, index:Int):Void;


    public static function createWithTexture(texture:Dynamic, capacity:Int):TextureAtlas;
    public static function create(file:String, capacity:Int):TextureAtlas;
}
