package com.plter.hxcc.app;
import com.plter.hxcc.res.HxccResource;
class HxccConfig {

    public function new(){
        appFiles=[];
        preloadRes = [];
    }

    public static function getConfig():HxccConfig{
        var conf:HxccConfig = __document.ccConfig;
        if(conf==null){
            conf = new HxccConfig();
        }
        return conf;
    }

    public static function setConfig(c:HxccConfig):Void{
        __document.ccConfig = c;
    }

    private static var __document:Dynamic = untyped __js__("document");


    public var COCOS2D_DEBUG=2; //0 to turn debug off, 1 for basic debug, and 2 for full debug
    public var box2d:Bool=false;
    public var chipmunk:Bool = false;
    public var showFPS:Bool=true;
    public var frameRate:Float = 60;
    public var loadExtension:Bool = false;
    public var renderMode:Int = 0;       //Choose of RenderMode: 0(default), 1(Canvas only), 2(WebGL only)
    public var tag:String = 'gameCanvas'; //the dom element to run cocos2d on
    public var engineDir:String='./cocos2d/';
    public var preloaderIcon:String=null;
    public var SingleEngineFile:String = null;
    public var appFiles:Array<String>;//add your own files in order here
    public var preloadRes:Array<HxccResource>;
}
