package com.plter.hxcc.display;
import com.plter.hxcc.app.HxccDirector;
import com.plter.hxcc.res.HxccResource;
import cc.LoaderScene;
class HxccLoaderScene extends HxccScene{
    public function new() {
        super();
    }

    override public function createNativeThis():Dynamic{
        return new LoaderScene();
    }

    public function init():Bool{
        return getNativeThis().init();
    }

    public function initStage():Void{
        getNativeThis().initStage();
    }
    public function initWithResources(resources:Array<HxccResource>, selector:Dynamic, target:Dynamic):Void{
        getNativeThis().initWithResources(resources, selector, target);
    }

    public function setIcon(src:String):Void{
        getNativeThis()._logoTexture.src = src;
    }

    public static function preload(resources:Array<HxccResource>, selector:Dynamic, target:Dynamic):HxccLoaderScene{
        if (__instance==null) {
            __instance = new HxccLoaderScene();
            __instance.init();
        }

        var director:HxccDirector = HxccDirector.getInstance();
        if (director.getRunningScene()!=null) {
            director.replaceScene(__instance);
        } else {
            director.runWithScene(__instance);
        }

        __instance.initWithResources(resources, selector, target);
        return __instance;
    }

    private static var __instance:HxccLoaderScene = null;
}
