package com.plter.hxcc.display;


import cc.Node;
import cc.Size;
import com.plter.hxcc.lang.HxccObject;
class HxccNode extends HxccObject{
    public function new() {
        super();
    }

    public function addChild(n:HxccNode,?zOrder:Int,?tag:Int):Void{
        getNativeThis().addChild(n.getNativeThis(),zOrder,tag);
    }

    public function setContentSize(s:Size):Void{
        getNativeThis().setContentSize(s);
    }

    public function getContentSize():Size{
        return getNativeThis().getContentSize();
    }

    override public function createNativeThis():Dynamic{
        var NC:Dynamic = Node.extend({
        onEnter:function(){
            Node.prototype.onEnter.call(untyped __js__('this'));
            onEnter();
        },
        onExitTransitionDidStart:function(){
            Node.prototype.onExitTransitionDidStart.call(untyped __js__('this'));
            onExitTransitionDidStart();
        },
        onEnterTransitionDidFinish:function(){
            Node.prototype.onEnterTransitionDidFinish.call(untyped __js__('this'));
            onEnterTransitionDidFinish();
        },
        onExit:function(){
            Node.prototype.onExit.call(untyped __js__('this'));
            onExit();
        }
        });
        return Type.createInstance(NC,[]);
    }

    public function setRotation(r:Float):Void{
        getNativeThis().setRotation(r);
    }

    public function setRotationX(f:Float):Void{
        getNativeThis().setRotationX(f);
    }

    public function setScale(scaleX:Float, scaleY:Float):Void{
        getNativeThis().setScale(scaleX, scaleY);
    }

    public function setScaleX(x:Float):Void{
        getNativeThis().setScaleX(x);
    }

    public function setScaleY(y:Float):Void{
        getNativeThis().setScaleY(y);
    }

    public function setSkewX(x:Float):Void{
        getNativeThis().setSkewX(x);
    }

    public function setSkewY(y:Float):Void{
        getNativeThis().setSkewY(y);
    }

    public function setTag(t:Int):Void{
        getNativeThis().setTag(t);
    }

    public function setVisible(v:Bool):Void{
        getNativeThis().setVisible(v);
    }

    public function isVisible():Bool{
        return getNativeThis().isVisible();
    }

    public function setPosition(x:Float,y:Float):Void{
        getNativeThis().setPosition(x,y);
    }

    public function setPositionX(x:Float):Void{
        getNativeThis().setPositionX(x);
    }

    public function setPositionY(y:Float):Void{
        getNativeThis().setPositionY(y);
    }

    public function onEnter():Void{}
    public function onEnterTransitionDidFinish():Void{}
    public function onExit():Void{}
    public function onExitTransitionDidStart():Void{}

}
