package ;
import com.plter.hxcc.app.HxccApplication;
import com.plter.hxcc.display.HxccLabelTTF;
import com.plter.hxcc.display.HxccLayer;
import com.plter.hxcc.app.HxccApplicationEvent;
import com.plter.hxcc.app.HxccConfig;
class Main extends HxccApplication{
    public function new() {
        var config:HxccConfig = new HxccConfig();

        //指定Cocos2d-html5库的位置
        config.engineDir = "../../hxcc/lib/cocos2d/";

        //将配置数据传给父类构造方法
        super(config);

        //侦听应用程序加载并创建完成的事件
        creationComplete.addListener(creationCompleteHandler);
    }

    private function creationCompleteHandler(e:HxccApplicationEvent):Bool{

        //创建一个层
        var layer:HxccLayer = new HxccLayer();
        //获取场景对象并将层添加到场景中
        getScene().addChild(layer);

        //创建一个LabelTTF组件，配置其属性，并将其添加到层中
        var l:HxccLabelTTF = new HxccLabelTTF("Hello Hxcc");
        l.setPosition(200,200);
        l.setFontSize(50);
        layer.addChild(l);

        return true;
    }

    public static function main():Void{
        new Main();
    }
}
