package cc;
extern class Director extends cc.Class{
    public function new();

    public function ctor():Void;
    public function calculateDeltaTime():Void;
    public function convertToGL(p:Point):Point;
    public function convertToUI(p:Point):Point;
    public function drawScene():Void;
    public function end():Void;
    public function getAnimationInterval():Float;
    public function getContentScaleFactor():Float;
    public function getDelegate():DirectorDelegate;
    public function getNotificationNode():Node;
    public function getOpenGLView():Dynamic;
    public function getProjection():Float;
    public function getRunningScene():Scene;
    public function getScheduler():Scheduler;
    public function getSecondsPerFrame():Float;
    public function getTotalFrames():Float;
    public function getWinSize():Size;
    public function getWinSizeInPixels():Size;
    public function init():Bool;
    public function isDisplayStats():Bool;
    public function isNextDeltaTimeZero():Bool;
    public function isPaused():Bool;
    public function isSendCleanupToScene():Bool;
    public function pause():Void;
    public function popScene():Void;
    public function popToRootScene():Void;
    public function purgeCachedData():Void;
    public function purgeDirector():Void;
    public function pushScene(scene:Scene):Void;
    public function replaceScene(scene:Scene):Void;
    public function resume():Void;
    public function runWithScene(scene:Scene):Void;
    public function setAnimationInterval(interval:Float):Void;
    public function setAlphaBlending(on:Bool):Void;
    public function setContentScaleFactor(scaleFactor:Float):Void;
    public function setDepthTest(on:Bool):Void;
    public function setDisplayStats(displayFPS:Bool):Void;
    public function setGLDefaultValues():Void;
    public function setNextDeltaTimeZero(nextDeltaTimeZero:Bool):Void;
    public function setNextScene():Void;
    public function setNotificationNode(node:Node):Void;
    public function setOpenGLView(openGLView:Dynamic):Void;
    public function setProjection(projection:Float):Void;



    public static function getInstance():Director;
}
