package cc;
extern class Node extends cc.Class{
    public function new() ;
    public function addChild(c:Node,?zOrder:Int,?flag:Int):Void;
    public function cleanup():Void;
    public function convertToNodeSpace(worldPoint:Point):Point;
    public function convertToNodeSpaceAR(worldPoint:Point):Point;
    public function convertTouchToNodeSpace(t:Touch):Point;
    public function convertTouchToNodeSpaceAR(t:Touch):Point;
    public function convertToWorldSpace(nodePoint:Point):Point;
    public function convertToWorldSpaceAR(nodePoint:Point):Point;
    public function description():String;
    public function draw(canvasContext:Dynamic):Void;
    public function getActionByTag(tag:Float):Action;
    public function getActionManager():ActionManager;
    public function getAnchorPoint():Point;
    public function getAnchorPointInPoints():Point;
    public function getBoundingBox():Rect;
    public function getCamera():Camera;
    public function getChildByTag(tag:Float):Node;
    public function getChildren():Dynamic;
    public function getChildrenCount():Int;
    public function getContentSize():Size;
    public function getGLServerState():Float;
    public function getGrid():Dynamic;
    public function getOrderOfArrival():Int;
    public function getParent():Node;
    public function getPosition():Point;
    public function getPositionX():Float;
    public function getPositionY():Float;
    public function getRotation():Float;
    public function getRotationX():Float;
    public function getRotationY():Float;
    public function getScale():Float;
    public function getScaleX():Float;
    public function getScaleY():Float;
    public function getScheduler():Scheduler;
    public function getShaderProgram():Dynamic;
    public function getSkewX():Float;
    public function getSkewY():Float;
    public function getTag():Float;
    public function getUserData():Dynamic;
    public function getUserObject():Dynamic;
    public function getVertexZ():Float;
    public function getZOrder():Int;
    public function ignoreAnchorPointForPosition(newValue:Bool):Void;
    public function isIgnoreAnchorPointForPosition():Bool;
    public function isRunning():Bool;
    public function isVisible():Bool;
    public function nodeToParentTransform():AffineTransform;
    public function nodeToWorldTransform():AffineTransform;
    public function numberOfRunningActions():Int;
    public function onEnter():Void;
    public function onEnterTransitionDidFinish():Void;
    public function onExit():Void;
    public function onExitTransitionDidStart():Void;
    public function parentToNodeTransform():Float;
    public function pauseSchedulerAndActions():Void;
    public function removeAllChildren(cleanup:Bool):Void;
    public function removeAllChildrenWithCleanup(cleanup:Bool):Void;
    public function removeChild(child:Node, cleanup:Bool):Void;
    public function removeChildByTag(tag:Float, cleanup:Bool):Void;
    public function removeFromParent(cleanup:Bool):Void;
    public function removeFromParentAndCleanup(cleanup:Bool):Void;
    public function reorderChild(child:Node, zOrder:Int):Void;
    public function resumeSchedulerAndActions():Void;
    public function retain():Void;
    public function runAction(action:Action):Action;
    public function schedule(callback_fn:Dynamic, interval:Float, repeat:Dynamic, delay:Float):Void;
    public function scheduleOnce(callback_fn:Dynamic, delay:Float):Void;
    public function scheduleUpdate():Void;
    public function scheduleUpdateWithPriority(priority:Int):Void;
    public function setActionManager(actionManager:ActionManager):Void;
    public function setAdditionalTransform(additionalTransform:AffineTransform):Void;
    public function setAnchorPoint(point:Point):Void;
    public function setContentSize(size:Size):Void;
    public function setGLServerState(state:Int):Void;
    public function setGrid(grid:Dynamic):Void;
    public function setNodeDirty():Void;
    public function setOrderOfArrival(v:Float):Void;
    public function setParent(v:Node):Void;
    public function setPosition(xValue:Float, yValue:Float):Void;
    public function setPositionX(x:Float):Void;
    public function setPositionY(y:Float):Void;
    public function setRotation(newRotation:Float):Void;
    public function setRotationX(rotationX:Float):Void;
    public function setScale(scaleX:Float, scaleY:Float):Void;
    public function setScaleX(newScaleX:Float):Void;
    public function setScaleY(newScaleY:Float):Void;
    public function setScheduler(scheduler:Dynamic):Void;
    public function setShaderProgram(newShaderProgram:Dynamic):Void;
    public function setSkewX(newSkewX:Float):Void;
    public function setSkewY(newSkewY:Float):Void;
    public function setTag(v:Float):Void;
    public function setUserData(v:Dynamic):Void;
    public function setUserObject(newValue:Dynamic):Void;
    public function setVertexZ(v:Float):Void;
    public function setVisible(v:Bool):Void;
    public function sortAllChildren():Void;
    public function stopAction(action:Action):Void;
    public function stopActionByTag(tag:Float):Void;
    public function stopAllActions():Void;
    public function transformAncestors():Void;
    public function unschedule(callback_fn:Dynamic):Void;
    public function unscheduleAllCallbacks():Void;
    public function unscheduleUpdate():Void;
    public function update(dt:Float):Void;
    public function updateTransform():Void;
    public function visit(d:Dynamic):Void;
    public function worldToNodeTransform():AffineTransform;


    public static function create():Node;
    public static function extend(prop:Dynamic):Dynamic;
    public static var prototype:Dynamic;

}
