package com.plter.hxcc.display;
import cc.Point;
import cc.Sprite;
import cc.Rect;
import cc.Color3B;
class HxccSprite extends HxccNode{
    public function new() {
        super();
    }

    public function setColor(c:Color3B):Void{
        getNativeThis().setColor(c);
    }

    public function init():Bool{
        return getNativeThis().init();
    }

    public function getNativeSprite():Sprite{
        return getNativeThis();
    }

    public function initWithFile(?fileName:String,?rect:Rect):Bool{
        return getNativeThis().init(fileName,rect);
    }

    public function getColor():Color3B{
        return getNativeThis().getColor();
    }

    override public function createNativeThis():Dynamic{
        return new Sprite();
    }

    public function getPosition():Point{
        return getNativeSprite().getPosition();
    }

    public function getBoundingBox():Rect{
        return getNativeSprite().getBoundingBox();
    }

    public static function create(?fileName:String,?rect:Rect):HxccSprite{
        var s:HxccSprite = new HxccSprite();
        s.initWithFile(fileName,rect);
        return s;
    }


}
