package com.plter.lib.hx.dll;
class BatchDllLoader {
    public function new(scriptArr:Array<String>) {
        _scriptArr = scriptArr;
        _currentIndex = 0;
    }

    public function load(completeHandler:Void->Void,progressHandler:Float->Void,failHandler:String->Void){
        new DllLoader(_scriptArr[_currentIndex]).load(function(u:String):Void{
            _currentIndex++;

            if(_currentIndex<_scriptArr.length){
                load(completeHandler,progressHandler,function(u:String):Void{

                    if(failHandler!=null){
                        failHandler(u);
                    }
                    _currentIndex = 0;
                });

                if(progressHandler!=null){
                    progressHandler(1.0*_currentIndex/_scriptArr.length);
                }
            }else{
                if(completeHandler!=null){
                    completeHandler();
                }
                _currentIndex=0;
            }

        },failHandler);
    }

    private var _currentIndex:Int = 0;
    private var _scriptArr:Array<String>;
}
