package com.plter.lib.hx.dll;
import com.plter.lib.hx.jq.J;
class DllLoader {
    public function new(url:String) {
        _url = url;
        _retryCount = 5;
        _currentRetryCount = 0;
    }

    public function load(completeHandler:String->Void=null,failHandler:String->Void=null){
        J.Q.getScript(_url).done(function(){
            if(completeHandler!=null){
                completeHandler(_url);
            }
            _currentRetryCount=0;
        }).fail(function(){

            _currentRetryCount++;
            if(_currentRetryCount<_retryCount){
                load(completeHandler,failHandler);
            }else{
                if(failHandler!=null){
                    failHandler(_url);
                    _currentRetryCount = 0;
                }
            }
        });
    }

    public function setRetryCount(value:Int):Void{
        _retryCount = value;
    }

    public function getRetryCount():Int{
        return _retryCount;
    }

    private var _currentRetryCount:Int = 0;
    private var _url:String;
    private var _retryCount:Int;
}
