package ;
import com.plter.hxcc.res.HxccResource;
import com.plter.hxcc.display.HxccSprite;
import com.plter.hxcc.display.HxccLayer;
import com.plter.hxcc.app.HxccApplicationEvent;
import com.plter.hxcc.app.HxccConfig;
import com.plter.hxcc.app.HxccApplication;
class Main extends HxccApplication{
    public function new() {
        var config:HxccConfig = new HxccConfig();
        config.engineDir = "../../hxcc/lib/cocos2d/";
        config.preloadRes.push(new HxccResource("image.jpg"));
        config.preloadRes.push(new HxccResource("photo.jpg"));
        config.preloaderIcon = "image.jpg";

        super(config);

        creationComplete.addListener(onCreate);
    }

    private function onCreate(e:HxccApplicationEvent):Bool{
        var l:HxccLayer = new HxccLayer();
        getScene().addChild(l);

        var s:HxccSprite = HxccSprite.create("photo.jpg");
        s.setPosition(400,300);
        l.addChild(s);
        return true;
    }

    public static function main():Void{
        new Main();
    }
}
