(function () { "use strict";
function $extend(from, fields) {
	function inherit() {}; inherit.prototype = from; var proto = new inherit();
	for (var name in fields) proto[name] = fields[name];
	if( fields.toString !== Object.prototype.toString ) proto.toString = fields.toString;
	return proto;
}
var HxOverrides = function() { }
HxOverrides.__name__ = true;
HxOverrides.remove = function(a,obj) {
	var i = 0;
	var l = a.length;
	while(i < l) {
		if(a[i] == obj) {
			a.splice(i,1);
			return true;
		}
		i++;
	}
	return false;
}
var com = {}
com.plter = {}
com.plter.hxcc = {}
com.plter.hxcc.app = {}
com.plter.hxcc.app.HxccApplication = function(conf) {
	var _g = this;
	com.plter.hxcc.app.HxccApplication.__instance = this;
	com.plter.hxcc.app.HxccConfig.setConfig(conf);
	this._config = conf;
	this.preloadComplete = new com.plter.lib.hx.events.EventListenerList();
	this.preloadError = new com.plter.lib.hx.events.EventListenerList();
	this.preloadProgress = new com.plter.lib.hx.events.EventListenerList();
	this.creationComplete = new com.plter.lib.hx.events.EventListenerList();
	com.plter.hxcc.loader.HxccLoader.loadCocos2dLib(function() {
		_g.preloadComplete.dispatch(new com.plter.hxcc.app.HxccApplicationEvent("preloadComplete"));
		_g.__cc = com.plter.hxcc.app.CC.cc();
		_g.Cocos2dApp = cc.Application.extend({ config : _g._config, ctor : function() {
			this._super();
			_g.__cc.COCOS2D_DEBUG = _g._config.COCOS2D_DEBUG;
			_g.__cc.initDebugSetting();
			_g.__cc.setup(com.plter.hxcc.app.HxccConfig.getConfig().tag);
			_g.__cc.AppController.shareAppController().didFinishLaunchingWithOptions();
		}, applicationDidFinishLaunching : function() {
			if(_g.__cc.RenderDoesnotSupport()) {
				js.Lib.alert("Browser doesn't support WebGL");
				return false;
			}
			var director = com.plter.hxcc.app.HxccDirector.getInstance();
			director.setDisplayStats(_g._config.showFPS);
			director.setAnimationInterval(1.0 / _g._config.frameRate);
			_g._scene = new com.plter.hxcc.display.HxccScene();
			if(_g._config.preloadRes != null && _g._config.preloadRes.length > 0) {
				var ls = com.plter.hxcc.display.HxccLoaderScene.preload(_g._config.preloadRes,$bind(_g,_g.checkToRunScene),_g);
				if(_g._config.preloaderIcon != null) ls.setIcon(_g._config.preloaderIcon);
			} else _g.checkToRunScene();
			return true;
		}});
		Type.createInstance(_g.Cocos2dApp,[]);
	},function(p) {
		_g.preloadProgress.dispatch(new com.plter.hxcc.app.HxccApplicationEvent("preloadComplete",null,p));
	},function(u) {
		_g.preloadError.dispatch(new com.plter.hxcc.app.HxccApplicationEvent("preloadComplete",u,0));
	});
};
com.plter.hxcc.app.HxccApplication.__name__ = true;
com.plter.hxcc.app.HxccApplication.getInstance = function() {
	return com.plter.hxcc.app.HxccApplication.__instance;
}
com.plter.hxcc.app.HxccApplication.prototype = {
	getScene: function() {
		return this._scene;
	}
	,checkToRunScene: function() {
		var d = com.plter.hxcc.app.HxccDirector.getInstance();
		if(d.getRunningScene() != null) d.replaceScene(this.getScene()); else d.runWithScene(this.getScene());
		this.creationComplete.dispatch(new com.plter.hxcc.app.HxccApplicationEvent("creationComplete"));
	}
}
var Main = function() {
	var config = new com.plter.hxcc.app.HxccConfig();
	config.engineDir = "../../hxcc/lib/cocos2d/";
	config.preloadRes.push(new com.plter.hxcc.res.HxccResource("image.jpg"));
	config.preloadRes.push(new com.plter.hxcc.res.HxccResource("photo.jpg"));
	config.preloaderIcon = "image.jpg";
	com.plter.hxcc.app.HxccApplication.call(this,config);
	this.creationComplete.addListener($bind(this,this.onCreate));
};
Main.__name__ = true;
Main.main = function() {
	new Main();
}
Main.__super__ = com.plter.hxcc.app.HxccApplication;
Main.prototype = $extend(com.plter.hxcc.app.HxccApplication.prototype,{
	onCreate: function(e) {
		var l = new com.plter.hxcc.display.HxccLayer();
		this.getScene().addChild(l);
		var s = com.plter.hxcc.display.HxccSprite.create("photo.jpg");
		s.setPosition(400,300);
		l.addChild(s);
		return true;
	}
});
var Type = function() { }
Type.__name__ = true;
Type.createInstance = function(cl,args) {
	switch(args.length) {
	case 0:
		return new cl();
	case 1:
		return new cl(args[0]);
	case 2:
		return new cl(args[0],args[1]);
	case 3:
		return new cl(args[0],args[1],args[2]);
	case 4:
		return new cl(args[0],args[1],args[2],args[3]);
	case 5:
		return new cl(args[0],args[1],args[2],args[3],args[4]);
	case 6:
		return new cl(args[0],args[1],args[2],args[3],args[4],args[5]);
	case 7:
		return new cl(args[0],args[1],args[2],args[3],args[4],args[5],args[6]);
	case 8:
		return new cl(args[0],args[1],args[2],args[3],args[4],args[5],args[6],args[7]);
	default:
		throw "Too many arguments";
	}
	return null;
}
com.plter.hxcc.app.CC = function() { }
com.plter.hxcc.app.CC.__name__ = true;
com.plter.hxcc.app.CC.cc = function() {
	return cc;
}
com.plter.hxcc.app.CC.rectContainsPoint = function(rect,point) {
	return com.plter.hxcc.app.CC.cc().rectContainsPoint(rect,point);
}
com.plter.hxcc.app.CC.rectIntersectsRect = function(rect1,rect2) {
	return com.plter.hxcc.app.CC.cc().rectIntersectsRect(rect1,rect2);
}
com.plter.hxcc.app.CC.rectOverlapsRect = function(rect1,rect2) {
	return com.plter.hxcc.app.CC.cc().rectOverlapsRect(rect1,rect2);
}
com.plter.hxcc.app.CC.rectUnion = function(rect1,rect2) {
	return com.plter.hxcc.app.CC.cc().rectUnion(rect1,rect2);
}
com.plter.hxcc.app.CC.rectEqualToRect = function(rect1,rect2) {
	return com.plter.hxcc.app.CC.cc().rectEqualToRect(rect1,rect2);
}
com.plter.hxcc.app.CC.rectGetMidX = function(rect) {
	return com.plter.hxcc.app.CC.cc().rectGetMidX(rect);
}
com.plter.hxcc.app.CC.rectGetMidY = function(rect) {
	return com.plter.hxcc.app.CC.cc().rectGetMidY(rect);
}
com.plter.lib = {}
com.plter.lib.hx = {}
com.plter.lib.hx.events = {}
com.plter.lib.hx.events.Event = function(type_) {
	this.type = type_;
};
com.plter.lib.hx.events.Event.__name__ = true;
com.plter.lib.hx.events.Event.prototype = {
	getType: function() {
		return this.type;
	}
}
com.plter.hxcc.app.HxccApplicationEvent = function(type,errorUrl_,progress_) {
	if(progress_ == null) progress_ = 0;
	com.plter.lib.hx.events.Event.call(this,type);
	this.errorUrl = errorUrl_;
	this.progress = progress_;
};
com.plter.hxcc.app.HxccApplicationEvent.__name__ = true;
com.plter.hxcc.app.HxccApplicationEvent.__super__ = com.plter.lib.hx.events.Event;
com.plter.hxcc.app.HxccApplicationEvent.prototype = $extend(com.plter.lib.hx.events.Event.prototype,{
	getProgress: function() {
		return this.progress;
	}
	,getErrorUrl: function() {
		return this.errorUrl;
	}
});
com.plter.hxcc.app.HxccConfig = function() {
	this.SingleEngineFile = null;
	this.preloaderIcon = null;
	this.engineDir = "./cocos2d/";
	this.tag = "gameCanvas";
	this.renderMode = 0;
	this.loadExtension = false;
	this.frameRate = 60;
	this.showFPS = true;
	this.chipmunk = false;
	this.box2d = false;
	this.COCOS2D_DEBUG = 2;
	this.appFiles = [];
	this.preloadRes = [];
};
com.plter.hxcc.app.HxccConfig.__name__ = true;
com.plter.hxcc.app.HxccConfig.getConfig = function() {
	var conf = com.plter.hxcc.app.HxccConfig.__document.ccConfig;
	if(conf == null) conf = new com.plter.hxcc.app.HxccConfig();
	return conf;
}
com.plter.hxcc.app.HxccConfig.setConfig = function(c) {
	com.plter.hxcc.app.HxccConfig.__document.ccConfig = c;
}
com.plter.hxcc.lang = {}
com.plter.hxcc.lang.HxccObject = function() {
	this._nativeThis = this.createNativeThis();
};
com.plter.hxcc.lang.HxccObject.__name__ = true;
com.plter.hxcc.lang.HxccObject.prototype = {
	getNativeThis: function() {
		return this._nativeThis;
	}
	,createNativeThis: function() {
		return null;
	}
}
com.plter.hxcc.app.HxccDirector = function() {
	com.plter.hxcc.lang.HxccObject.call(this);
};
com.plter.hxcc.app.HxccDirector.__name__ = true;
com.plter.hxcc.app.HxccDirector.getInstance = function() {
	if(com.plter.hxcc.app.HxccDirector.__ins == null) com.plter.hxcc.app.HxccDirector.__ins = new com.plter.hxcc.app.HxccDirector();
	return com.plter.hxcc.app.HxccDirector.__ins;
}
com.plter.hxcc.app.HxccDirector.__super__ = com.plter.hxcc.lang.HxccObject;
com.plter.hxcc.app.HxccDirector.prototype = $extend(com.plter.hxcc.lang.HxccObject.prototype,{
	getRunningScene: function() {
		return this._nativeThis.getRunningScene();
	}
	,setAnimationInterval: function(i) {
		this._nativeThis.setAnimationInterval(i);
	}
	,setDisplayStats: function(b) {
		this._nativeThis.setDisplayStats(b);
	}
	,createNativeThis: function() {
		return cc.Director.getInstance();
	}
	,runWithScene: function(s) {
		this._nativeThis.runWithScene(s._nativeThis);
	}
	,replaceScene: function(s) {
		this._nativeThis.replaceScene(s._nativeThis);
	}
});
com.plter.hxcc.display = {}
com.plter.hxcc.display.HxccNode = function() {
	com.plter.hxcc.lang.HxccObject.call(this);
};
com.plter.hxcc.display.HxccNode.__name__ = true;
com.plter.hxcc.display.HxccNode.__super__ = com.plter.hxcc.lang.HxccObject;
com.plter.hxcc.display.HxccNode.prototype = $extend(com.plter.hxcc.lang.HxccObject.prototype,{
	onExitTransitionDidStart: function() {
	}
	,onExit: function() {
	}
	,onEnterTransitionDidFinish: function() {
	}
	,onEnter: function() {
	}
	,setPositionY: function(y) {
		this._nativeThis.setPositionY(y);
	}
	,setPositionX: function(x) {
		this._nativeThis.setPositionX(x);
	}
	,setPosition: function(x,y) {
		this._nativeThis.setPosition(x,y);
	}
	,isVisible: function() {
		return this._nativeThis.isVisible();
	}
	,setVisible: function(v) {
		this._nativeThis.setVisible(v);
	}
	,setTag: function(t) {
		this._nativeThis.setTag(t);
	}
	,setSkewY: function(y) {
		this._nativeThis.setSkewY(y);
	}
	,setSkewX: function(x) {
		this._nativeThis.setSkewX(x);
	}
	,setScaleY: function(y) {
		this._nativeThis.setScaleY(y);
	}
	,setScaleX: function(x) {
		this._nativeThis.setScaleX(x);
	}
	,setScale: function(scaleX,scaleY) {
		this._nativeThis.setScale(scaleX,scaleY);
	}
	,setRotationX: function(f) {
		this._nativeThis.setRotationX(f);
	}
	,setRotation: function(r) {
		this._nativeThis.setRotation(r);
	}
	,createNativeThis: function() {
		var _g = this;
		var NC = cc.Node.extend({ onEnter : function() {
			cc.Node.prototype.onEnter.call(this);
			_g.onEnter();
		}, onExitTransitionDidStart : function() {
			cc.Node.prototype.onExitTransitionDidStart.call(this);
			_g.onExitTransitionDidStart();
		}, onEnterTransitionDidFinish : function() {
			cc.Node.prototype.onEnterTransitionDidFinish.call(this);
			_g.onEnterTransitionDidFinish();
		}, onExit : function() {
			cc.Node.prototype.onExit.call(this);
			_g.onExit();
		}});
		return Type.createInstance(NC,[]);
	}
	,getContentSize: function() {
		return this._nativeThis.getContentSize();
	}
	,setContentSize: function(s) {
		this._nativeThis.setContentSize(s);
	}
	,addChild: function(n,zOrder,tag) {
		this._nativeThis.addChild(n._nativeThis,zOrder,tag);
	}
});
com.plter.hxcc.display.HxccLayer = function() {
	com.plter.hxcc.display.HxccNode.call(this);
};
com.plter.hxcc.display.HxccLayer.__name__ = true;
com.plter.hxcc.display.HxccLayer.__super__ = com.plter.hxcc.display.HxccNode;
com.plter.hxcc.display.HxccLayer.prototype = $extend(com.plter.hxcc.display.HxccNode.prototype,{
	onTouchesMoved: function(touch,event) {
	}
	,onTouchesEnded: function(touch,event) {
	}
	,onTouchesCancelled: function(touch,event) {
	}
	,onTouchesBegan: function(touch,event) {
	}
	,onTouchMoved: function(touch,event) {
	}
	,onTouchEnded: function(touch,event) {
	}
	,onTouchCancelled: function(touch,event) {
	}
	,onTouchBegan: function(touch,event) {
		return true;
	}
	,onKeyUp: function(keyCode) {
	}
	,onKeyDown: function(keyCode) {
	}
	,createNativeThis: function() {
		var _g = this;
		var LC = cc.Layer.extend({ onEnter : function() {
			cc.Layer.prototype.onEnter.call(this);
			_g.onEnter();
		}, onExitTransitionDidStart : function() {
			cc.Layer.prototype.onExitTransitionDidStart.call(this);
			_g.onExitTransitionDidStart();
		}, onEnterTransitionDidFinish : function() {
			cc.Layer.prototype.onEnterTransitionDidFinish.call(this);
			_g.onEnterTransitionDidFinish();
		}, onExit : function() {
			cc.Layer.prototype.onExit.call(this);
			_g.onExit();
		}, onKeyDown : $bind(this,this.onKeyDown), onKeyUp : $bind(this,this.onKeyUp), onTouchBegan : $bind(this,this.onTouchBegan), onTouchCancelled : $bind(this,this.onTouchCancelled), onTouchEnded : $bind(this,this.onTouchEnded), onTouchesBegan : $bind(this,this.onTouchesBegan), onTouchesCancelled : $bind(this,this.onTouchesCancelled), onTouchesEnded : $bind(this,this.onTouchesEnded), onTouchesMoved : $bind(this,this.onTouchesMoved), onTouchMoved : $bind(this,this.onTouchMoved)});
		return Type.createInstance(LC,[]);
	}
	,isTouchEnabled: function() {
		return this.getNativeLayer().isTouchEnabled();
	}
	,setTouchEnabled: function(enabled) {
		this.getNativeLayer().setTouchEnabled(enabled);
	}
	,getNativeLayer: function() {
		return this._nativeThis;
	}
});
com.plter.hxcc.display.HxccScene = function() {
	com.plter.hxcc.display.HxccNode.call(this);
};
com.plter.hxcc.display.HxccScene.__name__ = true;
com.plter.hxcc.display.HxccScene.__super__ = com.plter.hxcc.display.HxccNode;
com.plter.hxcc.display.HxccScene.prototype = $extend(com.plter.hxcc.display.HxccNode.prototype,{
	createNativeThis: function() {
		return cc.Scene.create();
	}
});
com.plter.hxcc.display.HxccLoaderScene = function() {
	com.plter.hxcc.display.HxccScene.call(this);
};
com.plter.hxcc.display.HxccLoaderScene.__name__ = true;
com.plter.hxcc.display.HxccLoaderScene.preload = function(resources,selector,target) {
	if(com.plter.hxcc.display.HxccLoaderScene.__instance == null) {
		com.plter.hxcc.display.HxccLoaderScene.__instance = new com.plter.hxcc.display.HxccLoaderScene();
		com.plter.hxcc.display.HxccLoaderScene.__instance.init();
	}
	var director = com.plter.hxcc.app.HxccDirector.getInstance();
	if(director.getRunningScene() != null) director.replaceScene(com.plter.hxcc.display.HxccLoaderScene.__instance); else director.runWithScene(com.plter.hxcc.display.HxccLoaderScene.__instance);
	com.plter.hxcc.display.HxccLoaderScene.__instance.initWithResources(resources,selector,target);
	return com.plter.hxcc.display.HxccLoaderScene.__instance;
}
com.plter.hxcc.display.HxccLoaderScene.__super__ = com.plter.hxcc.display.HxccScene;
com.plter.hxcc.display.HxccLoaderScene.prototype = $extend(com.plter.hxcc.display.HxccScene.prototype,{
	setIcon: function(src) {
		this._nativeThis._logoTexture.src = src;
	}
	,initWithResources: function(resources,selector,target) {
		this._nativeThis.initWithResources(resources,selector,target);
	}
	,initStage: function() {
		this._nativeThis.initStage();
	}
	,init: function() {
		return this._nativeThis.init();
	}
	,createNativeThis: function() {
		return new cc.LoaderScene();
	}
});
com.plter.hxcc.display.HxccSprite = function() {
	com.plter.hxcc.display.HxccNode.call(this);
};
com.plter.hxcc.display.HxccSprite.__name__ = true;
com.plter.hxcc.display.HxccSprite.create = function(fileName,rect) {
	var s = new com.plter.hxcc.display.HxccSprite();
	s.initWithFile(fileName,rect);
	return s;
}
com.plter.hxcc.display.HxccSprite.__super__ = com.plter.hxcc.display.HxccNode;
com.plter.hxcc.display.HxccSprite.prototype = $extend(com.plter.hxcc.display.HxccNode.prototype,{
	getBoundingBox: function() {
		return this.getNativeSprite().getBoundingBox();
	}
	,getPosition: function() {
		return this.getNativeSprite().getPosition();
	}
	,createNativeThis: function() {
		return new cc.Sprite();
	}
	,getColor: function() {
		return this._nativeThis.getColor();
	}
	,initWithFile: function(fileName,rect) {
		return this._nativeThis.init(fileName,rect);
	}
	,getNativeSprite: function() {
		return this._nativeThis;
	}
	,init: function() {
		return this._nativeThis.init();
	}
	,setColor: function(c) {
		this._nativeThis.setColor(c);
	}
});
com.plter.hxcc.loader = {}
com.plter.hxcc.loader.HxccLoader = function() { }
com.plter.hxcc.loader.HxccLoader.__name__ = true;
com.plter.hxcc.loader.HxccLoader.loadCocos2dLib = function(completeHandler,progressHandler,failHandler) {
	var d = document;
	var c = d.ccConfig;
	if(c.loadExtension) com.plter.hxcc.loader.HxccLoader.engine = com.plter.hxcc.loader.HxccLoader.engine.concat(com.plter.hxcc.loader.HxccLoader.extensions);
	if(c.engineDir == null) com.plter.hxcc.loader.HxccLoader.engine = []; else {
		if(c.box2d || c.chipmunk) {
			com.plter.hxcc.loader.HxccLoader.engine.push("physics_nodes/CCPhysicsSprite.js");
			com.plter.hxcc.loader.HxccLoader.engine.push("physics_nodes/CCPhysicsDebugNode.js");
			if(c.box2d) com.plter.hxcc.loader.HxccLoader.engine.push("../box2d/box2d.js");
			if(c.chipmunk) com.plter.hxcc.loader.HxccLoader.engine.push("../chipmunk/chipmunk.js");
		}
		var _g1 = 0, _g = com.plter.hxcc.loader.HxccLoader.engine.length;
		while(_g1 < _g) {
			var i = _g1++;
			com.plter.hxcc.loader.HxccLoader.engine[i] = c.engineDir + com.plter.hxcc.loader.HxccLoader.engine[i];
		}
	}
	var que = com.plter.hxcc.loader.HxccLoader.engine.concat(c.appFiles);
	new com.plter.lib.hx.dll.BatchDllLoader(que).load(completeHandler,progressHandler,failHandler);
}
com.plter.hxcc.res = {}
com.plter.hxcc.res.HxccResource = function(src_) {
	this.src = src_;
};
com.plter.hxcc.res.HxccResource.__name__ = true;
com.plter.lib.hx.dll = {}
com.plter.lib.hx.dll.BatchDllLoader = function(scriptArr) {
	this._currentIndex = 0;
	this._scriptArr = scriptArr;
	this._currentIndex = 0;
};
com.plter.lib.hx.dll.BatchDllLoader.__name__ = true;
com.plter.lib.hx.dll.BatchDllLoader.prototype = {
	load: function(completeHandler,progressHandler,failHandler) {
		var _g = this;
		new com.plter.lib.hx.dll.DllLoader(this._scriptArr[this._currentIndex]).load(function(u) {
			_g._currentIndex++;
			if(_g._currentIndex < _g._scriptArr.length) {
				_g.load(completeHandler,progressHandler,function(u1) {
					if(failHandler != null) failHandler(u1);
					_g._currentIndex = 0;
				});
				if(progressHandler != null) progressHandler(1.0 * _g._currentIndex / _g._scriptArr.length);
			} else {
				if(completeHandler != null) completeHandler();
				_g._currentIndex = 0;
			}
		},failHandler);
	}
}
com.plter.lib.hx.dll.DllLoader = function(url) {
	this._currentRetryCount = 0;
	this._url = url;
	this._retryCount = 5;
	this._currentRetryCount = 0;
};
com.plter.lib.hx.dll.DllLoader.__name__ = true;
com.plter.lib.hx.dll.DllLoader.prototype = {
	getRetryCount: function() {
		return this._retryCount;
	}
	,setRetryCount: function(value) {
		this._retryCount = value;
	}
	,load: function(completeHandler,failHandler) {
		var _g = this;
		com.plter.lib.hx.jq.J.Q.getScript(this._url).done(function() {
			if(completeHandler != null) completeHandler(_g._url);
			_g._currentRetryCount = 0;
		}).fail(function() {
			_g._currentRetryCount++;
			if(_g._currentRetryCount < _g._retryCount) _g.load(completeHandler,failHandler); else if(failHandler != null) {
				failHandler(_g._url);
				_g._currentRetryCount = 0;
			}
		});
	}
}
com.plter.lib.hx.events.EventListenerList = function() {
	this.list = [];
};
com.plter.lib.hx.events.EventListenerList.__name__ = true;
com.plter.lib.hx.events.EventListenerList.prototype = {
	dispatch: function(event) {
		var suc = true;
		var d;
		var _g = 0, _g1 = this.list;
		while(_g < _g1.length) {
			var l = _g1[_g];
			++_g;
			d = l;
			if(!d(event)) suc = false;
		}
		return suc;
	}
	,removeListener: function(listener) {
		HxOverrides.remove(this.list,listener);
	}
	,addListener: function(listener) {
		this.list.push(listener);
	}
}
com.plter.lib.hx.jq = {}
com.plter.lib.hx.jq.J = function() { }
com.plter.lib.hx.jq.J.__name__ = true;
var js = {}
js.Boot = function() { }
js.Boot.__name__ = true;
js.Boot.__string_rec = function(o,s) {
	if(o == null) return "null";
	if(s.length >= 5) return "<...>";
	var t = typeof(o);
	if(t == "function" && (o.__name__ || o.__ename__)) t = "object";
	switch(t) {
	case "object":
		if(o instanceof Array) {
			if(o.__enum__) {
				if(o.length == 2) return o[0];
				var str = o[0] + "(";
				s += "\t";
				var _g1 = 2, _g = o.length;
				while(_g1 < _g) {
					var i = _g1++;
					if(i != 2) str += "," + js.Boot.__string_rec(o[i],s); else str += js.Boot.__string_rec(o[i],s);
				}
				return str + ")";
			}
			var l = o.length;
			var i;
			var str = "[";
			s += "\t";
			var _g = 0;
			while(_g < l) {
				var i1 = _g++;
				str += (i1 > 0?",":"") + js.Boot.__string_rec(o[i1],s);
			}
			str += "]";
			return str;
		}
		var tostr;
		try {
			tostr = o.toString;
		} catch( e ) {
			return "???";
		}
		if(tostr != null && tostr != Object.toString) {
			var s2 = o.toString();
			if(s2 != "[object Object]") return s2;
		}
		var k = null;
		var str = "{\n";
		s += "\t";
		var hasp = o.hasOwnProperty != null;
		for( var k in o ) { ;
		if(hasp && !o.hasOwnProperty(k)) {
			continue;
		}
		if(k == "prototype" || k == "__class__" || k == "__super__" || k == "__interfaces__" || k == "__properties__") {
			continue;
		}
		if(str.length != 2) str += ", \n";
		str += s + k + " : " + js.Boot.__string_rec(o[k],s);
		}
		s = s.substring(1);
		str += "\n" + s + "}";
		return str;
	case "function":
		return "<function>";
	case "string":
		return o;
	default:
		return String(o);
	}
}
js.Lib = function() { }
js.Lib.__name__ = true;
js.Lib.alert = function(v) {
	alert(js.Boot.__string_rec(v,""));
}
var $_, $fid = 0;
function $bind(o,m) { if( m == null ) return null; if( m.__id__ == null ) m.__id__ = $fid++; var f; if( o.hx__closures__ == null ) o.hx__closures__ = {}; else f = o.hx__closures__[m.__id__]; if( f == null ) { f = function(){ return f.method.apply(f.scope, arguments); }; f.scope = o; f.method = m; o.hx__closures__[m.__id__] = f; } return f; };
if(Array.prototype.indexOf) HxOverrides.remove = function(a,o) {
	var i = a.indexOf(o);
	if(i == -1) return false;
	a.splice(i,1);
	return true;
};
String.__name__ = true;
Array.__name__ = true;
com.plter.hxcc.app.HxccApplicationEvent.CREATION_COMPLETE = "creationComplete";
com.plter.hxcc.app.HxccApplicationEvent.PRELOAD_PROGRESS = "preloadProgress";
com.plter.hxcc.app.HxccApplicationEvent.PRELOAD_COMPLETE = "preloadComplete";
com.plter.hxcc.app.HxccApplicationEvent.PRELOAD_ERROR = "preloadError";
com.plter.hxcc.app.HxccConfig.__document = document;
com.plter.hxcc.loader.HxccLoader.extensions = ["../extensions/GUI/CCControlExtension/CCControl.js","../extensions/GUI/CCControlExtension/CCControlButton.js","../extensions/GUI/CCControlExtension/CCControlUtils.js","../extensions/GUI/CCControlExtension/CCInvocation.js","../extensions/GUI/CCControlExtension/CCScale9Sprite.js","../extensions/GUI/CCControlExtension/CCMenuPassive.js","../extensions/GUI/CCControlExtension/CCControlSaturationBrightnessPicker.js","../extensions/GUI/CCControlExtension/CCControlHuePicker.js","../extensions/GUI/CCControlExtension/CCControlColourPicker.js","../extensions/GUI/CCControlExtension/CCControlSlider.js","../extensions/GUI/CCControlExtension/CCControlSwitch.js","../extensions/GUI/CCScrollView/CCScrollView.js","../extensions/GUI/CCScrollView/CCSorting.js","../extensions/GUI/CCScrollView/CCTableView.js","../extensions/CCBReader/CCNodeLoader.js","../extensions/CCBReader/CCBReaderUtil.js","../extensions/CCBReader/CCControlLoader.js","../extensions/CCBReader/CCSpriteLoader.js","../extensions/CCBReader/CCNodeLoaderLibrary.js","../extensions/CCBReader/CCBReader.js","../extensions/CCBReader/CCBValue.js","../extensions/CCBReader/CCBKeyframe.js","../extensions/CCBReader/CCBSequence.js","../extensions/CCBReader/CCBRelativePositioning.js","../extensions/CCBReader/CCBAnimationManager.js","../extensions/CCEditBox.js"];
com.plter.hxcc.loader.HxccLoader.engine = ["platform/CCClass.js","platform/miniFramework.js","platform/CCCommon.js","platform/ZipUtils.js","platform/base64.js","platform/gzip.js","platform/CCMacro.js","platform/CCFileUtils.js","platform/CCTypes.js","platform/CCAccelerometer.js","platform/zlib.min.js","platform/CCEGLView.js","cocoa/CCGeometry.js","platform/Sys.js","platform/CCConfig.js","platform/CCImage.js","kazmath/utility.js","kazmath/vec2.js","kazmath/vec3.js","kazmath/vec4.js","kazmath/ray2.js","kazmath/mat3.js","kazmath/mat4.js","kazmath/plane.js","kazmath/quaternion.js","kazmath/aabb.js","kazmath/GL/mat4stack.js","kazmath/GL/matrix.js","cocoa/CCSet.js","cocoa/CCNS.js","cocoa/CCAffineTransform.js","support/CCPointExtension.js","support/CCUserDefault.js","support/CCVertex.js","support/TransformUtils.js","support/CCTGAlib.js","support/CCPNGReader.js","support/CCTIFFReader.js","shaders/CCShaders.js","shaders/CCShaderCache.js","shaders/CCGLProgram.js","shaders/CCGLStateCache.js","base_nodes/CCNode.js","base_nodes/CCAtlasNode.js","textures/CCTexture2D.js","textures/CCTextureCache.js","textures/CCTextureAtlas.js","misc_nodes/CCRenderTexture.js","misc_nodes/CCProgressTimer.js","misc_nodes/CCMotionStreak.js","misc_nodes/CCClippingNode.js","effects/CCGrid.js","effects/CCGrabber.js","draw_nodes/CCDrawNode.js","actions/CCAction.js","actions/CCActionInterval.js","actions/CCActionInstant.js","actions/CCActionManager.js","actions/CCActionProgressTimer.js","actions/CCActionCamera.js","actions/CCActionEase.js","actions/CCActionGrid.js","actions/CCActionGrid3D.js","actions/CCActionTiledGrid.js","actions/CCActionCatmullRom.js","actions/CCActionPageTurn3D.js","layers_scenes_transitions_nodes/CCScene.js","layers_scenes_transitions_nodes/CCLayer.js","layers_scenes_transitions_nodes/CCTransition.js","layers_scenes_transitions_nodes/CCTransitionProgress.js","layers_scenes_transitions_nodes/CCTransitionPageTurn.js","sprite_nodes/CCSprite.js","sprite_nodes/CCAnimation.js","sprite_nodes/CCAnimationCache.js","sprite_nodes/CCSpriteFrame.js","sprite_nodes/CCSpriteFrameCache.js","sprite_nodes/CCSpriteBatchNode.js","label_nodes/CCLabelAtlas.js","label_nodes/CCLabelTTF.js","label_nodes/CCLabelBMFont.js","particle_nodes/CCParticleSystem.js","particle_nodes/CCParticleSystemQuad.js","particle_nodes/CCParticleExamples.js","particle_nodes/CCParticleBatchNode.js","touch_dispatcher/CCTouchDelegateProtocol.js","touch_dispatcher/CCTouchHandler.js","touch_dispatcher/CCTouchDispatcher.js","touch_dispatcher/CCMouseDispatcher.js","keyboard_dispatcher/CCKeyboardDelegate.js","keyboard_dispatcher/CCKeyboardDispatcher.js","text_input_node/CCIMEDispatcher.js","text_input_node/CCTextFieldTTF.js","CCConfiguration.js","CCDirector.js","CCCamera.js","CCScheduler.js","CCLoader.js","CCDrawingPrimitives.js","platform/CCApplication.js","platform/CCSAXParser.js","platform/AppControl.js","menu_nodes/CCMenuItem.js","menu_nodes/CCMenu.js","tileMap_parallax_nodes/CCTMXTiledMap.js","tileMap_parallax_nodes/CCTMXXMLParser.js","tileMap_parallax_nodes/CCTMXObjectGroup.js","tileMap_parallax_nodes/CCTMXLayer.js","tileMap_parallax_nodes/CCParallaxNode.js","base_nodes/CCdomNode.js","../CocosDenshion/SimpleAudioEngine.js"];
com.plter.lib.hx.jq.J.Q = $;
Main.main();
})();
