package cc;
extern class Animation extends cc.Class{
    public function new();

    public function addSpriteFrameWithFile(fileName:String):Void;
    public function addSpriteFrameWithTexture(texture:Dynamic, rect:Rect):Void;
    public function addSpriteFrame(frame:SpriteFrame):Void;
    public function copyWithZone(pZone:Animation):Void;
    public function getDelayPerUnit():Float;
    public function getDuration():Float;
    public function getFrames():Array<Dynamic>;
    public function getLoops():Int;
    public function getRestoreOriginalFrame():Bool;
    public function getTotalDelayUnits():Float;
    public function initWithAnimationFrames(arrayOfAnimationFrames:Array<Dynamic>, delayPerUnit:Float, loops:Int):Bool;
    public function initWithSpriteFrames(frames:Array<SpriteFrame>, delay:Float):Bool;
    public function setDelayPerUnit(delayPerUnit:Float):Void;
    public function setFrames(frames:Array<Dynamic>):Void;
    public function setLoops(value:Int):Void;
    public function setRestoreOriginalFrame(restOrigFrame:Bool):Void;


    public static function createWithAnimationFrames(arrayOfAnimationFrameNames:Array<Dynamic>, delayPerUnit:Float, loops:Int):Animation;
    public static function create(frames:Array<SpriteFrame>, delay:Float, loops:Int):Animation;
}
