package cc;
extern class Scheduler extends cc.Class{
    public function new() ;

    public function getTimeScale():Float;
    public function isTargetPaused(target:cc.Class):Bool;
    public function pauseAllTargets():Void;
    public function pauseAllTargetsWithMinPriority(minPriority:Dynamic):Void;
    public function pauseTarget(target:cc.Class):Void;
    public function resumeTarget(target:cc.Class):Void;
    public function resumeTargets(targets:Array<Dynamic>):Void;
    public function scheduleCallbackForTarget(target:cc.Class,callback_fn:Dynamic,interval:Float,repeat:Float,delay:Float,paused:Bool):Void;
    public function scheduleUpdateForTarget(target:cc.Class, priority:Int, paused:Bool):Void;
    public function setTimeScale(v:Float):Void;
    public function unscheduleAllCallbacks():Void;
    public function unscheduleAllCallbacksForTarget(target:cc.Class):Void;
    public function unscheduleAllCallbacksWithMinPriority(minPriority:Int):Void;
    public function unscheduleCallbackForTarget(target:cc.Class, callback_fn:Dynamic):Void;
    public function unscheduleUpdateForTarget(target:cc.Class):Void;
    public function update(dt:Float):Void;

    public function ctor():Scheduler;
}
