package cc;
extern class Sprite extends Node{
    public function new() ;
    public function ctor(fileName:String):Void;
    override public function addChild(child:Node, ?zOrder:Int, ?tag:Int):Void;
    public function displayFrame():SpriteFrame;
    override public function draw(d:Dynamic):Void;
    public function getAtlasIndex():Int;
    public function getBlendFunc():BlendFunc;
    public function getColor():Color3B;
    public function getOffsetPosition():Point;
    public function getOpacity():Int;
    public function getQuad():V3F_C4B_T2F_Quad;
    public function getSpriteBatchNode():SpriteBatchNode;
    public function getTextureAtlas(pobTextureAtlas:Bool):TextureAtlas;
    public function getTextureRect():Rect;
    override public function ignoreAnchorPointForPosition(relative:Bool):Void;
    public function init():Bool;
    public function initWithFile(filename:String, rect:Rect):Bool;
    public function initWithSpriteFrame(spriteFrame:SpriteFrame):Bool;
    public function initWithSpriteFrameName(spriteFrameName:String):Bool;
    public function initWithTexture(texture:Dynamic, rect:Rect, rotated:Bool):Bool;
    public function isDirty():Bool;
    public function isFlippedX():Bool;
    public function isFlippedY():Bool;
    public function isFrameDisplayed(frame:SpriteFrame):Bool;
    public function isOpacityModifyRGB():Bool;
    public function isTextureRectRotated():Bool;
    override public function removeAllChildren(cleanup:Bool):Void;
    override public function removeChild(child:Node, cleanup:Bool):Void;
    override public function reorderChild(child:Node, zOrder:Int):Void;
    override public function setAnchorPoint(anchor:Point):Void;
    public function setAtlasIndex(atlasIndex:Int):Void;
    public function setBlendFunc(src:Dynamic, dst:Float):Void;
    public function setColor(color3:Color3B):Void;
    public function setDirty(bDirty:Bool):Void;
    public function setDirtyRecursively(value:Bool):Void;
    public function setDisplayFrame(newFrame:SpriteFrame):Void;
    public function setDisplayFrameWithAnimationName(animationName:String, frameIndex:Int):Void;
    public function setFlipX(flipX:Bool):Void;
    public function setFlipY(flipY:Bool):Void;
    public function setOpacity(opacity:Int):Void;
    public function setOpacityModifyRGB(value:Bool):Void;
    override public function setRotation(rotation:Float):Void;
    override public function setScale(scaleX:Float, scaleY:Float):Void;
    override public function setScaleX(scaleX:Float):Void;
    override public function setScaleY(scaleY:Float):Void;
    override public function setSkewX(sx:Float):Void;
    override public function setSkewY(sy:Float):Void;
    public function setSpriteBatchNode(spriteBatchNode:SpriteBatchNode):Void;
    public function setTexture(texture:Dynamic):Void;
    public function setTextureAtlas(textureAtlas:TextureAtlas):Void;
    public function setTextureRect(rect:Rect, rotated:Bool, untrimmedSize:Size):Void;
    override public function setVertexZ(vertexZ:Float):Void;
    override public function setVisible(visible:Bool):Void;
    public function updateColor():Void;
    override public function updateTransform():Void;
    public function useBatchNode(batchNode:SpriteBatchNode):Void;



    public static function createWithTexture(texture:Dynamic, rect:Rect, offset:Point):Sprite;
    public static function createWithSpriteFrameName(spriteFrameName:String):Sprite;
    public static function createWithSpriteFrame(spriteFrame:SpriteFrame):Sprite;
    public static function create(fileName:String, ?rect:Rect):Sprite;
}
