package cc;
extern class SpriteBatchNode extends Node{
    public function new() ;

    public function addSpriteWithoutQuad(child:Sprite, z:Int, aTag:Float):Void;
    public function appendChild(sprite:Sprite):Void;
    public function atlasIndexForChild(sprite:Sprite, nZ:Int):Float;
    override public function addChild(child:Node, ?zOrder:Int, ?tag:Int):Void;
    public function ctor(fileImage:String):Void;
    override public function draw(d:Dynamic):Void;
    public function getBlendFunc():BlendFunc;
    public function getDescendants():Array<Dynamic>;
    public function getTexture():Dynamic;
    public function getTextureAtlas():TextureAtlas;
    public function highestAtlasIndexInChild(sprite:Sprite):Int;
    public function increaseAtlasCapacity():Void;
    public function init(fileImage:String, capacity:Int):Bool;
    public function initWithFile(fileImage:String, capacity:Int):Bool;
    public function initWithTexture(tex:Dynamic, capacity:Int):Bool;
    public function insertChild(sprite:Sprite, index:Int):Void;
    public function insertQuadFromSprite(sprite:Sprite, index:Int):Void;
    public function lowestAtlasIndexInChild(sprite:Sprite):Int;
    public function rebuildIndexInOrder(pobParent:Sprite, index:Int):Int;
    override public function removeAllChildren(cleanup:Bool):Void;
    override public function removeChild(child:Node, cleanup:Bool):Void;
    public function removeChildAtIndex(index:Int, doCleanup:Bool):Void;
    public function removeSpriteFromAtlas(sprite:Sprite):Void;
    override public function reorderChild(child:Node, zOrder:Int):Void;
    public function setBlendFunc(src:Float, dst:Float):Void;
    public function setTexture(texture:Dynamic):Void;
    public function setTextureAtlas(textureAtlas:TextureAtlas):Void;
    public function updateQuadFromSprite(sprite:Sprite, index:Int):Void;
    override public function visit(ctx:Dynamic):Void;

    public static function createWithTexture(texture:Dynamic, capacity:Int):SpriteBatchNode;
    public static function create(fileImage:String, capacity:Int):SpriteBatchNode;
}
