package com.plter.hxcc.app;
import com.plter.lib.hx.events.Event;
class HxccApplicationEvent extends Event{
    public function new(type:String,errorUrl_:String=null,progress_:Float=0) {
        super(type);
        errorUrl = errorUrl_;
        progress = progress_;
    }

    public function getErrorUrl():String{
        return errorUrl;
    }

    public function getProgress():Float{
        return progress;
    }

    private var errorUrl:String;
    private var progress:Float;


    public static inline var CREATION_COMPLETE:String="creationComplete";
    public static inline var PRELOAD_PROGRESS:String="preloadProgress";
    public static inline var PRELOAD_COMPLETE:String="preloadComplete";
    public static inline var PRELOAD_ERROR:String="preloadError";
}
