package com.plter.hxcc.app;
import cc.Director;
import cc.Scene;
import com.plter.hxcc.display.HxccScene;
import com.plter.hxcc.lang.HxccObject;
class HxccDirector extends HxccObject{
    public function new() {
        super();
    }

    public function replaceScene(s:HxccScene):Void{
        getNativeThis().replaceScene(s.getNativeThis());
    }

    public function runWithScene(s:HxccScene):Void{
        getNativeThis().runWithScene(s.getNativeThis());
    }

    override public function createNativeThis():Dynamic{
        return Director.getInstance();
    }

    public function setDisplayStats(b:Bool):Void{
        getNativeThis().setDisplayStats(b);
    }

    public function setAnimationInterval(i:Float):Void{
        getNativeThis().setAnimationInterval(i);
    }

    public function getRunningScene():Scene{
        return getNativeThis().getRunningScene();
    }

    private static var __ins:HxccDirector = null;
    public static function getInstance():HxccDirector{
        if(__ins==null){
            __ins = new HxccDirector();
        }
        return __ins;
    }
}
