package com.plter.hxcc.display;
import cc.Touch;
import cc.Layer;
class HxccLayer extends HxccNode{


    public function new() {
        super();
    }

    public function getNativeLayer():Layer{
        return getNativeThis();
    }

    public function setTouchEnabled(enabled:Bool):Void{
        getNativeLayer().setTouchEnabled(enabled);
    }

    public function isTouchEnabled():Bool{
        return getNativeLayer().isTouchEnabled();
    }

    override public function createNativeThis():Dynamic{

        var LC:Dynamic = Layer.extend({
        onEnter:function(){
            Layer.prototype.onEnter.call(untyped __js__('this'));
            onEnter();
        },
        onExitTransitionDidStart:function(){
            Layer.prototype.onExitTransitionDidStart.call(untyped __js__('this'));
            onExitTransitionDidStart();
        },
        onEnterTransitionDidFinish:function(){
            Layer.prototype.onEnterTransitionDidFinish.call(untyped __js__('this'));
            onEnterTransitionDidFinish();
        },
        onExit:function(){
            Layer.prototype.onExit.call(untyped __js__('this'));
            onExit();
        },
        onKeyDown:onKeyDown,
        onKeyUp:onKeyUp,
        onTouchBegan:onTouchBegan,
        onTouchCancelled:onTouchCancelled,
        onTouchEnded:onTouchEnded,
        onTouchesBegan:onTouchesBegan,
        onTouchesCancelled:onTouchesCancelled,
        onTouchesEnded:onTouchesEnded,
        onTouchesMoved:onTouchesMoved,
        onTouchMoved:onTouchMoved
        });

        return Type.createInstance(LC,[]);
    }

    public function onKeyDown(keyCode:Int):Void{}
    public function onKeyUp(keyCode:Int):Void{}
    public function onTouchBegan(touch:Touch, event:Dynamic):Bool{return true;}
    public function onTouchCancelled(touch:Touch, event:Dynamic):Void{}
    public function onTouchEnded(touch:Touch, event:Dynamic):Void{}
    public function onTouchMoved(touch:Touch, event:Dynamic):Void{}
    public function onTouchesBegan(touch:Array<Touch>, event:Dynamic):Void{}
    public function onTouchesCancelled(touch:Array<Touch>, event:Dynamic):Void{}
    public function onTouchesEnded(touch:Array<Touch>, event:Dynamic):Void{}
    public function onTouchesMoved(touch:Array<Touch>, event:Dynamic):Void{}
}
