package com.plter.lib.hx.events;
class EventListenerList<ListenerType> {
    public function new() {
        list=[];
    }

    public function addListener(listener:ListenerType):Void{
        list.push(listener);
    }

    public function removeListener(listener:ListenerType):Void{
        list.remove(listener);
    }

    public function dispatch(event:Event):Bool{

        var suc:Bool = true;
        var d:Dynamic;

        for(l in list){

            d = untyped l;

            if(!d(event)){
                suc = false;
            }
        }

        return suc;
    }

    private var list:Array<ListenerType>;
}
